%define name		gpa
%define version		0.4.3
%define release		1
%define builddir	$RPM_BUILD_DIR/%{name}-devel
%define prefixdef	/usr

# If you don't like the prefix '/usr' you can override it like this:
# rpm -ba|--rebuild --define 'prefix /usr/local'
%{?!prefix:%define prefix %{prefixdef}}

Name:		%{name}
Version:	%{version}
Release:	1
Copyright:	GPL
Group:		Applications/Cryptography
Source:		gpa-%{version}.tar.gz
Source1:	gpa.desktop
URL:		http://www.gnupg.org/gpa.html
BuildRoot:	%{_tmppath}/%{name}-root
Requires:	gnupg
Summary:	Graphical user interface for the GnuPG.

%description
The GNU Privacy Assistant is a graphical user interface for the GNU Privacy
Guard (GnuPG). GnuPG is a system that provides you with privacy by
encrypting emails or other documents and with authentication of received
files by signature management.

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%{prefix}
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
make DESTDIR="$RPM_BUILD_ROOT" install

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
cp $RPM_BUILD_ROOT/%{_datadir}/%{name}/gpa_logo.ppm $RPM_BUILD_ROOT/%{_datadir}/pixmaps/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
cp $RPM_SOURCE_DIR/gpa.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(0755,root,root)
%{_bindir}/gpa

%defattr(0644,root,root)
%{_datadir}/%{name}/*.*
%{_datadir}/pixmaps/gpa_logo.ppm
%{_datadir}/applications/gpa.desktop
%{_datadir}/locale/*/*/gpa.mo
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README README-alpha THANKS TODO

%config %{_datadir}/%{name}/gtkrc

%changelog
* Mon Oct 28 2002 Florin Andrei <florin@sgi.com>
- updated to 0.4.3
- lots of changes to the spec file
- compiled on Red Hat 8.0

* Fri Aug  3 2001 Peter Hanecak <hanecak@megaloman.sk>
[0.4.1-1]
- initial spec
